
.custom-popup .swal2-html-container {
    display: flex !important;
    justify-content: center !important;
    text-align: center !important;
    margin: 0 !important;
    padding: 1em !important;
}

.login-modal {
    width: 100% !important;
    border-radius: 16px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}

.toggle-codigo-container {
    padding-right: 10px;
    display: flex;
    justify-content: flex-end;
}

.login-modal .header-text {
    display: flex;
    flex-direction: column;
    margin-bottom: 24px;
    width: 100%;
}

.login-modal .title {
    font-size: var(--font-title);
    font-weight: bold;
    color: white;
    margin-bottom: 16px;
    text-align: left;
}

.login-modal .subtitle {
    font-size: var(--font-subtitle);
    color: var(--light-grey-color);
    text-align: left;
}

/* área do formulário */
.login-modal .form-area {
    display: flex;
    flex-direction: column;
    gap: 24px;
    width: 100%;
}

.login-modal form {
    display: flex;
    flex-direction: column;
    gap: 24px;
    width: 100%;
    color: var(--grey-color);
}


.login-modal .form-input {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.login-modal .inputs-codigo {
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    gap: 12px;
    margin-top: 16px;
}

.login-modal .codigo-input {
    width: 40px;
    height: 40px;
    text-align: center;
    font-size: 22px;
    border: 1px solid var(--grey-color);
    border-radius: 8px;
    background-color: transparent;
    color: var(--yellow-color);
}

.login-modal .codigo-input:focus,
.login-modal .codigo-input:valid {
    border-color: rgba(225, 240, 0, .5);
    outline: none;
}


.login-modal .esqueci-senha {
    text-align: left;
    margin-top: 20px;
}

.login-modal .esqueci-senha a {
    color: var(--yellow-color);
    font-weight: bold;
    text-decoration: none;
}


.login-modal .divbtnentrar {
    display: flex;
    justify-content: center;
    width: 100%;
}

.login-modal .btnentrar {
    background: var(--yellow-color);
    color: var(--dark-grey-color);
    width: 100%;
    height: 45px;
    border-radius: 50px;
    border: none;
    font-weight: bold;
    cursor: pointer;
}

.login-modal .btnentrar:hover {
    background: #E1F000;
    color: #526974;
}

.swal2-container {
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
}

@media (max-width: 820px) {
    .login-modal .inputs-codigo {
        flex-wrap: wrap;
        max-width: calc(3 * 40px + 2 * 12px);
        margin-left: auto;
        margin-right: auto;
        align-content: center;
    }
}

@media only screen and (max-device-width: 620px) {
    .swal2-popup, .swal2-confirm, .confirm-button-large-modal {
        width: 100% !important;
    }
}
